### Method

# Camel MimePart set_filename

#### Declaration [src]

    void
    camel_mime_part_set_filename (
      CamelMimePart* mime_part,
      const gchar* filename
    )

#### Description [src]

Set the filename on a MIME part.

#### Parameters

`filename`

  Type: `const gchar*`

  Filename given to the MIME part.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.